[ "$(command -v xdg-mime)" ] || return 0

# `$HOME` is sometimes a mount point and opens in wierd applications, set the
# handler for mount points to the same as for ordinary directories.
# TODO: Move this to `dotfiles-xdg-utils`
xdg-mime default "$(xdg-mime query default 'inode/directory')" 'inode/mount-point'
